%define name gimp-plugin-apng
%define version 0.1.0
%define release %mkrel 1

Summary:   Animated PNG image file load and save module (GIMP plugin)
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:     Graphics
URL:       http://registry.gimp.org/node/24394
Source:    %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gimp-devel gettext gtk+2-devel pkgconfig intltool
Requires:  gimp
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1
Obsoletes:	%name < %version


%description
Animated PNG (APNG) image file load and save modules for the GIMP.

%prep
%setup -q


%build
%configure2_5x 

%make 


%install
rm -rf %{buildroot}
%makeinstall_std 

#move to proper place
mkdir -p %{buildroot}/usr/lib/gimp/2.0/plug-ins
mv %{buildroot}/root/.gimp-2.6.10/plug-ins/file-apng \
%{buildroot}/usr/lib/gimp/2.0/plug-ins

%find_lang %{name}


%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files -f %{name}.lang
%defattr(-, root, root, -)
%{_libdir}/gimp/2.0/plug-ins/file-apng 
%{_datadir}/gimp-apng/help/en/gimp-help.xml
%{_datadir}/gimp-apng/help/en/index.html
%{_datadir}/gimp-apng/ui/plug-ins/plug-in-file-apng.ui

%changelog
* Thu Jul 29 2010 Texstar <texstar at gmail.com> 0.1.0
- create package


